class CreateVulgataTranslationStates < ActiveRecord::Migration
  def change
    create_table :vulgata_translation_states do |t|
      t.string :item_type
      t.integer :item_id
      t.integer :status
      t.integer :user_id
      t.string :user_type
      t.string :locale
      t.integer :priority
      t.boolean :locked
      t.text :comment

      t.timestamps null: false

      t.index [:item_id, :item_type]
    end
  end
end