require_dependency "vulgata/application_controller"

module Vulgata
  class ActivityController < ApplicationController
    before_action :authorize_admin

    def index
      @activities = TranslationStateVersion.includes(:translation_state).where.not(status: Vulgata::TranslationState.statuses[:source]).order(id: :desc).page(params[:page]).per(10)
    end
  end
end
