class CreateVulgataTranslationStateVersions < ActiveRecord::Migration
  def change
    create_table :vulgata_translation_state_versions do |t|
      t.references :vulgata_translation_state, index: { name: 'vulgata_state_versions_on_state_id' }
      t.integer :user_id
      t.string :user_type
      t.integer :status
      t.integer :priority
      t.text :translation_data
      t.integer :word_count
      t.text :comment
      t.datetime :created_at
    end
  end
end
