namespace :vulgata do

  desc "Explaining what the task does"
  task :init, [:klass] => :environment do |task, args|
    Rails.application.eager_load!
    
    if args.klass
      puts "Initializing translation states for: #{args.klass}"
      args.klass.constantize.find_each do |objekt|
        objekt.init_vulgata_states
      end
    else
      puts "No class specified - initializing translation states for ALL classes."
      Vulgata::Helpers.classes_translating.each do |klass|
        puts "Initializing translation states for: #{klass}"
        klass.find_each do |objekt|
          objekt.init_vulgata_states
        end
      end
    end
  end
end
