module Vulgata
  module Strategies
    class I18nTranslations < LocaleColumnTranslations
      def initialize
        super(:key, [:value])
      end
      
      # creates single translation, called when object is being translated by translators
      def save_translation translation_state
		    I18n.backend.store_vulgata_translation(translation_state.locale, translation_state.item.key, translation_state.translation_data[:value])
        super
      end
    end
  end
end
